@peculiar/asn1-ecc
ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279.
@peculiar/asn1-ecc@3.0.0 was published on 2026-10-26. Its manifest declares 1 runtime dependency and 1 peer requirement. Type declarations are bundled according to the package metadata. The declared Node.js requirement is ^20.19.0 || >=22.12.0.
All @peculiar/asn1-ecc versions · Permanent reference to 3.0.0
Package specifications
| Version | 3.0.0 |
|---|---|
| License declaration | MIT |
| Published | 2026-10-26T11:29:08.351Z |
| Node.js requirement | ^20.19.0 || >=22.12.0 |
| Type declarations | Bundled declarations |
| Runtime dependency count | 1 |
| Peer requirement count | 1 |
| Optional dependency count | 0 |
| Minified size | Measurement not available yet |
| Minified + gzip | Measurement not available yet |
| Unpacked distribution size | 22.06 KiB |
| Published file count | 18 |
| Package type | module |
| ES module entry | ./build/index.js |
| Default entry | ./build/index.js |
| Side effects declaration | false |
| Direct advisories | 0 |
| Resolved graph dependencies | 2 |
| Repository stars | 45 |
| Repository forks | 14 |
Install @peculiar/asn1-ecc 3.0.0
npm install @peculiar/asn1-ecc@3.0.0 pnpm add @peculiar/asn1-ecc@3.0.0 yarn add @peculiar/asn1-ecc@3.0.0
Runtime dependencies
- @peculiar/asn1-x509 ^3.0.0
Peer requirements
- @peculiar/asn1-schema ^3.0.0
Optional dependencies
- None declared
Resolved dependency graph
This deps.dev graph describes a generic 64-bit Linux environment, not your application lockfile.
- @peculiar/asn1-x509@3.0.0 — direct
- @peculiar/utils@4.1.0 — indirect
How to interpret the specifications
Bundlephobia measurements use its standard package build and may exclude peer dependencies. Unpacked npm distribution size includes shipped files and is a different measurement. Module declarations do not prove tree-shaking or runtime compatibility.
Advisories apply to this package version directly; transitive dependencies need separate inspection. Repository signals describe the whole repository and are current observations, including on historical-version pages.
OpenSSF repository checks
Provider assessment: 2026-08-24T00:00:00Z. These are repository checks, not a jsL maintenance score.
| Code-Review | 5/10 — Found 6/12 approved changesets -- score normalized to 5 |
|---|---|
| Maintained | 10/10 — 30 commit(s) and 2 issue activity found in the last 90 days -- score normalized to 10 |
| Dangerous-Workflow | 10/10 — no dangerous workflow patterns detected |
| CII-Best-Practices | 0/10 — no effort to earn an OpenSSF best practices badge detected |
| Token-Permissions | 0/10 — detected GitHub workflow tokens with excessive permissions |
| Binary-Artifacts | 10/10 — no binaries found in the repo |
| Pinned-Dependencies | 5/10 — dependency not pinned by hash detected -- score normalized to 5 |
| Security-Policy | 0/10 — security policy file not detected |
| License | 0/10 — license file not detected |
| Fuzzing | 0/10 — project is not fuzzed |
| Packaging | 10/10 — packaging workflow detected |
| Branch-Protection | 0/10 — branch protection not enabled on development/release branches |
| SAST | 0/10 — SAST tool is not run on all commits -- score normalized to 0 |
Evidence and freshness
- https://registry.npmjs.org/%40peculiar%2Fasn1-ecc/3.0.0 — retrieved 2026-10-29T14:33:29.721Z
- https://api.deps.dev/v3/projects/github.com%2FPeculiarVentures%2Fasn1-schema — retrieved 2026-10-29T14:33:26.883Z
- https://api.deps.dev/v3/systems/npm/packages/%40peculiar%2Fasn1-ecc/versions/3.0.0 — retrieved 2026-10-29T14:33:30.227Z
- https://api.deps.dev/v3/systems/npm/packages/%40peculiar%2Fasn1-ecc/versions/3.0.0:dependencies — retrieved 2026-10-29T14:33:30.237Z